POST
/user/secrets/list
const url = 'https://example.com/user/secrets/list';const options = { method: 'POST', headers: {'X-Tenzir-UserKey': '<X-Tenzir-UserKey>', 'Content-Type': 'application/json'}, body: '{"tenant_id":"example","store_id":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/user/secrets/list \ --header 'Content-Type: application/json' \ --header 'X-Tenzir-UserKey: <X-Tenzir-UserKey>' \ --data '{ "tenant_id": "example", "store_id": "example" }'List all secrets
Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ”Responses
Section titled “ Responses ”Successful Response
Media type application/json
ListSecretsResponse
object
Example generated
{ "secrets": [ { "last_updated": "2026-04-15T12:00:00Z", "last_accessed": "2026-04-15T12:00:00Z", "id": "example", "name": "example" } ]}{"detail": "Invalid or missing secret store credentials. Please check your configuration."}
{"detail": "Invalid API Key"}
{"detail": "Tenant not found"}
Validation Error
Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Example generated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example" } ]}